CredentialHandlerSF (Apache Tomcat 9.0.37 API Documentation)

org.apache.catalina.storeconfig

## Class CredentialHandlerSF

- java.lang.Object
- - org.apache.catalina.storeconfig.StoreFactoryBase
  - - org.apache.catalina.storeconfig.CredentialHandlerSF

- All Implemented Interfaces:
    IStoreFactory

      public class CredentialHandlerSF
      extends StoreFactoryBase

  Store server.xml Element CredentialHandler

- - ### Field Summary

    - ### Fields inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

      `sm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CredentialHandlerSF()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `store(PrintWriter aWriter, int indent, Object aElement)` Store a server.xml element with attributes and children
    `void` | `storeChildren(PrintWriter aWriter, int indent, Object aCredentialHandler, StoreDescription parentDesc)` Store the specified CredentialHandler properties and child (CredentialHandler)

    - ### Methods inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

      `getInfo, getRegistry, getStoreAppender, setRegistry, setStoreAppender, storeElement, storeElementArray, storeXMLHead`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CredentialHandlerSF

          public CredentialHandlerSF()

  - ### Method Detail

    - #### store

          public void store(PrintWriter aWriter,
                            int indent,
                            Object aElement)
                     throws Exception

      Description copied from class: `StoreFactoryBase`
      Store a server.xml element with attributes and children
      Specified by:
        `store` in interface `IStoreFactory`
      Overrides:
        `store` in class `StoreFactoryBase`
      Throws:
        `Exception`
      See Also:
        `IStoreFactory.store(java.io.PrintWriter, int, java.lang.Object)`

    - #### storeChildren

          public void storeChildren(PrintWriter aWriter,
                                    int indent,
                                    Object aCredentialHandler,
                                    StoreDescription parentDesc)
                             throws Exception

      Store the specified CredentialHandler properties and child (CredentialHandler)
      Overrides:
        `storeChildren` in class `StoreFactoryBase`
      Parameters:
        `aWriter` - PrintWriter to which we are storing
        `indent` - Number of spaces to indent this element
        `aCredentialHandler` - CredentialHandler whose properties are being stored
        `parentDesc` - The element description
      Throws:
        `Exception` - if an exception occurs while storing

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.